import type { LexicalEditor } from 'lexical';
import * as React from 'react';
export default function ImageResizer({ editor, imageRef, maxWidth, onResizeEnd, onResizeStart, }: {
    editor: LexicalEditor;
    imageRef: {
        current: null | HTMLElement;
    };
    maxWidth?: number;
    onResizeEnd(width: 'inherit' | number, height: 'inherit' | number): void;
    onResizeStart(): void;
}): React.JSX.Element;
